Subject: Re: [RFH] GitHub deprecates Ubuntu 20.04 Actions runner image

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Apr 2025 15:30:30 -0700

"brian m. carlson" <[email-masked]> writes:

>>      It appears that Dscho (CC'ed) is futzing with the generation of
>>      sparse package on Ubuntu 20.04 and 22.04 and getting affected
>>      by the same 20.04 brownout
>> 
>>      https://dev.azure.com/git/git/_build/results?buildId=2396&view=results
>> 
>>      so probably I do not have to worry about it and let Dscho take
>>      care of the whole thing?
> ...
>> @@ -457,9 +457,9 @@ jobs:
>>        with:
>>          repository: git/git
>>          definitionId: 10
>> -        artifact: sparse-20.04
>> +        artifact: sparse-22.04
>>      - name: Install the current `sparse` package
>> -      run: sudo dpkg -i sparse-20.04/sparse_*.deb
>> +      run: sudo dpkg -i sparse-22.04/sparse_*.deb
>
> I don't know how these are generated, but this seems like a good start
> to try and we can adjust it later on if there's more moving parts to
> fix.

I think mails crossed among three of us.

<[email-masked]>